
function onTalk() 
	local level = getLevel()
    makeUnskippable()
	
	walkTo(-279)
	walkTo(-271)
	wait(1)
	player.StateMachine.State = 11
	player.DummyAutoAnimate = false -- Let us play non-default animations
	coroutine.yield(level:ZoomTo(vector2(220,95), 2.25, 1))
	say("SunnyLumi_ending")
	player.Sprite:Play("sitDown") -- Sit down
	wait(4)
	endCutscene()
end

function onEnd(room, wasSkipped)
	completeArea(true, false, false)
end